Bug 57780 - CRASH when FILEOPEN particular .doc with drawing object (AT_CHAR) in paragraph in table cell that is split across pages
Summary: CRASH when FILEOPEN particular .doc with drawing object (AT_CHAR) in paragrap...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta0 tar...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2012-12-01 18:00 UTC by clkao
Modified: 2012-12-10 23:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
document that crashes 1 (366.50 KB, application/msword)
2012-12-01 18:40 UTC, Rob Snelders
Details
document that crashes 2 (329.50 KB, application/msword)
2012-12-01 18:40 UTC, Rob Snelders
Details
document that crashes 3 (2.77 MB, application/msword)
2012-12-07 11:54 UTC, clkao
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clkao 2012-12-01 18:00:10 UTC
libO crashes when opening these two doc files:

http://lci.ly.gov.tw/LyLCEW/communique/work/98/05/LCIDC01_980502_00002.doc
http://lci.ly.gov.tw/LyLCEW/communique/work/99/05/LCIDC01_990501_00005.doc


Process:         soffice.bin [44346]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice.bin
Identifier:      org.libreoffice.script
Version:         3.6.3.2 (???)
Code Type:       X86 (Native)
Parent Process:  OOoPython [44342]
User ID:         502

Date/Time:       2012-12-02 01:34:26.411 +0800
OS Version:      Mac OS X 10.8.2 (12C60)
Report Version:  10

Interval Since Last Report:          1261202 sec
Crashes Since Last Report:           21
Per-App Crashes Since Last Report:   13
Anonymous UUID:                      E5194E7B-1FFD-9D94-0AD2-BF2B0718D5B9

Crashed Thread:  10

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000064

VM Regions Near 0x64:
--> __PAGEZERO             0000000000000000-0000000000001000 [    4K] ---/--- SM=NUL  /Applications/LibreOffice.app/Contents/MacOS/soffice.bin
    __TEXT                 0000000000001000-0000000000002000 [    4K] r-x/rwx SM=COW  /Applications/LibreOffice.app/Contents/MacOS/soffice.bin

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x9542f91a __psynch_mutexwait + 10
1   libsystem_c.dylib             	0x99ebd13b pthread_mutex_lock + 595
2   libuno_sal.dylib.3            	0x00006835 osl_acquireMutex + 21
3   libvcllo.dylib                	0x01aeae82 SalYieldMutex::acquire() + 18
4   libvcllo.dylib                	0x01b32035 -[TimerCallbackCaller timerElapsed:] + 69
5   com.apple.Foundation          	0x9a3c27d4 __NSFireTimer + 117
6   com.apple.CoreFoundation      	0x969379b6 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 22
7   com.apple.CoreFoundation      	0x96937355 __CFRunLoopDoTimer + 709
8   com.apple.CoreFoundation      	0x9691c162 __CFRunLoopRun + 1730
9   com.apple.CoreFoundation      	0x9691b63a CFRunLoopRunSpecific + 378
10  com.apple.CoreFoundation      	0x9691b4ab CFRunLoopRunInMode + 123
11  com.apple.HIToolbox           	0x97abb15a RunCurrentEventLoopInMode + 242
12  com.apple.HIToolbox           	0x97abaec9 ReceiveNextEventCommon + 374
13  com.apple.HIToolbox           	0x97abad44 BlockUntilNextEventMatchingListInMode + 88
14  com.apple.AppKit              	0x93116a3a _DPSNextEvent + 724
15  com.apple.AppKit              	0x9311626c -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 119
16  libvcllo.dylib                	0x01aea99f AquaSalInstance::Yield(bool, bool) + 1183
17  libvcllo.dylib                	0x018020f0 Application::Yield(bool) + 96
18  libvcllo.dylib                	0x018021f1 Application::Execute() + 97
19  libsofficeapp.dylib           	0x000784ab desktop::Desktop::Main() + 6171
20  libvcllo.dylib                	0x0180b712 ImplSVMain() + 354
21  libvcllo.dylib                	0x01ae9d6b AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 75
22  libvcllo.dylib                	0x01b331bb -[VCL_NSApplication sendEvent:] + 315
23  com.apple.AppKit              	0x9310c72c -[NSApplication run] + 951
24  com.apple.AppKit              	0x930af6f6 NSApplicationMain + 1053
25  libvcllo.dylib                	0x01aeb327 ImplSVMainHook(int*) + 343
26  libvcllo.dylib                	0x0180b7a1 SVMain() + 17
27  libsofficeapp.dylib           	0x000a74b5 soffice_main + 437
28  soffice.bin                   	0x00001f0e main + 30
29  soffice.bin                   	0x00001872 _start + 216
30  soffice.bin                   	0x00001799 start + 41

Thread 1:
0   libsystem_kernel.dylib        	0x9542f8e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x99ebc289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x99f49b30 pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00014978 rtl_cache_wsupdate_all(void*) + 280
4   libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
5   libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 2:
0   libsystem_kernel.dylib        	0x954300ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x99eba04c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x99eb9e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x99ea1cca start_wqthread + 30

Thread 3:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x954309ae kevent + 10
1   libdispatch.dylib             	0x91a03c71 _dispatch_mgr_invoke + 993
2   libdispatch.dylib             	0x91a037a9 _dispatch_mgr_thread + 53

Thread 4:
0   libsystem_kernel.dylib        	0x954300ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x99eba04c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x99eb9e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x99ea1cca start_wqthread + 30

Thread 5:
0   libsystem_kernel.dylib        	0x954300ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x99eba04c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x99eb9e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x99ea1cca start_wqthread + 30

Thread 6:
0   libsystem_kernel.dylib        	0x9542eeb6 __accept_nocancel + 10
1   libsystem_kernel.dylib        	0x9542de91 accept + 39
2   libuno_sal.dylib.3            	0x0000776a osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x000a431e desktop::OfficeIPCThread::execute() + 46
4   libuno_salhelpergcc3.dylib.3  	0x004d7da2 salhelper::Thread::run() + 34
5   libuno_salhelpergcc3.dylib.3  	0x004d8152 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
7   libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
8   libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 7:
0   libsystem_kernel.dylib        	0x9542eeb6 __accept_nocancel + 10
1   libsystem_kernel.dylib        	0x9542de91 accept + 39
2   libuno_sal.dylib.3            	0x0000be78 osl_acceptConnectionOnSocket + 104
3   acceptor.uno.dylib            	0x0ab3896e io_acceptor::SocketAcceptor::accept() + 62
4   acceptor.uno.dylib            	0x0ab3b9da io_acceptor::OAcceptor::accept(rtl::OUString const&) + 394
5   liboffacclo.dylib             	0x0ab1e45e desktop::Acceptor::run() + 94
6   libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
7   libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
8   libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 8:
0   libsystem_kernel.dylib        	0x9542f8e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x99ebc289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x99f49afc pthread_cond_wait + 48
3   libuno_sal.dylib.3            	0x00031ac8 osl_waitCondition + 104
4   binaryurp.uno.dylib           	0x0ad224ef binaryurp::Writer::execute() + 79
5   libuno_salhelpergcc3.dylib.3  	0x004d7da2 salhelper::Thread::run() + 34
6   libuno_salhelpergcc3.dylib.3  	0x004d8152 threadFunc + 18
7   libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
8   libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
9   libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 9:
0   libsystem_kernel.dylib        	0x9542fb5a __recvfrom_nocancel + 10
1   libsystem_c.dylib             	0x99f49619 recv + 54
2   libuno_sal.dylib.3            	0x0000bf85 osl_receiveSocket + 85
3   libuno_sal.dylib.3            	0x0000c1cb osl_readSocket + 75
4   acceptor.uno.dylib            	0x0ab379ea io_acceptor::SocketConnection::read(com::sun::star::uno::Sequence<signed char>&, long) + 250
5   binaryurp.uno.dylib           	0x0ad16dbd binaryurp::(anonymous namespace)::read(com::sun::star::uno::Reference<com::sun::star::connection::XConnection> const&, unsigned long, bool) + 125
6   binaryurp.uno.dylib           	0x0ad1acff binaryurp::Reader::execute() + 111
7   libuno_salhelpergcc3.dylib.3  	0x004d7da2 salhelper::Thread::run() + 34
8   libuno_salhelpergcc3.dylib.3  	0x004d8152 threadFunc + 18
9   libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
10  libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
11  libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 10 Crashed:
0   libswlo.dylib                 	0x1d39cf6f SwPageFrm::RemoveDrawObjFromPage(SwAnchoredObject&) + 47
1   libswlo.dylib                 	0x1d3a4919 lcl_RemoveObjsFromPage(SwFrm*) + 425
2   libswlo.dylib                 	0x1d3aa302 SaveCntnt(SwLayoutFrm*, SwFrm*) + 530
3   libswlo.dylib                 	0x1d3f1b04 lcl_MoveRowContent(SwRowFrm&, SwRowFrm&) + 260
4   libswlo.dylib                 	0x1d3f33ef SwTabFrm::RemoveFollowFlowLine() + 127
5   libswlo.dylib                 	0x1d3fcf03 SwTabFrm::MakeAll() + 9411
6   libswlo.dylib                 	0x1d37cfab SwFrm::PrepareMake() + 619
7   libswlo.dylib                 	0x1d3b4713 SwLayAction::FormatLayoutTab(SwTabFrm*, unsigned char) + 339
8   libswlo.dylib                 	0x1d3b42ee SwLayAction::FormatLayout(SwLayoutFrm*, unsigned char) + 2974
9   libswlo.dylib                 	0x1d3b426a SwLayAction::FormatLayout(SwLayoutFrm*, unsigned char) + 2842
10  libswlo.dylib                 	0x1d3b74ab SwLayAction::InternalAction() + 795
11  libswlo.dylib                 	0x1d3b80d0 SwLayAction::Action() + 256
12  libswlo.dylib                 	0x1d6e3906 ViewShell::CalcLayout() + 294
13  libswlo.dylib                 	0x1d30cced SwEditShell::CalcLayout() + 29
14  libswlo.dylib                 	0x1d93da32 SwView::SwView(SfxViewFrame*, SfxViewShell*) + 4738
15  libswlo.dylib                 	0x1d93e220 SwView::CreateInstance(SfxViewFrame*, SfxViewShell*) + 48
16  libsfxlo.dylib                	0x00754fc9 SfxBaseModel::createViewController(rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&) + 345
17  libsfxlo.dylib                	0x00796274 SfxFrameLoader_Impl::impl_createDocumentView(com::sun::star::uno::Reference<com::sun::star::frame::XModel2> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&, comphelper::NamedValueCollection const&, rtl::OUString const&) + 148
18  libsfxlo.dylib                	0x0079a23d SfxFrameLoader_Impl::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&) + 2541
19  libfwklo.dylib                	0x0ae95377 framework::LoadEnv::impl_loadContent() + 3591
20  libfwklo.dylib                	0x0ae958f8 framework::LoadEnv::startLoading() + 136
21  libfwklo.dylib                	0x0ae95b30 framework::LoadEnv::loadComponentFromURL(com::sun::star::uno::Reference<com::sun::star::frame::XComponentLoader> const&, com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&, rtl::OUString const&, rtl::OUString const&, long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 256
22  libfwklo.dylib                	0x0aecf6aa framework::Desktop::loadComponentFromURL(rtl::OUString const&, rtl::OUString const&, long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 314
23  libgcc3_uno.dylib             	0x03dd0c92 (anonymous namespace)::callVirtualMethod(void*, long, void*, _typelib_TypeDescription*, bool, long*, long) + 114
24  libgcc3_uno.dylib             	0x03dd10f2 (anonymous namespace)::cpp_call(bridges::cpp_uno::shared::UnoInterfaceProxy*, bridges::cpp_uno::shared::VtableSlot, _typelib_TypeDescriptionReference*, long, _typelib_MethodParameter*, void*, void**, _uno_Any**) + 530
25  libgcc3_uno.dylib             	0x03dd182e bridges::cpp_uno::shared::unoInterfaceProxyDispatch(_uno_Interface*, _typelib_TypeDescription const*, void*, void**, _uno_Any**) + 718
26  binaryurp.uno.dylib           	0x0ad1115b binaryurp::IncomingRequest::execute_throw(binaryurp::BinaryAny*, std::vector<binaryurp::BinaryAny, std::allocator<binaryurp::BinaryAny> >*) const + 347
27  binaryurp.uno.dylib           	0x0ad11ce0 binaryurp::IncomingRequest::execute() const + 176
28  binaryurp.uno.dylib           	0x0ad16927 request + 23
29  libuno_cppu.dylib.3           	0x00300728 cppu_threadpool::JobQueue::enter(long long, unsigned char) + 280
30  libuno_cppu.dylib.3           	0x00300cbf cppu_threadpool::ORequestThread::run() + 79
31  libuno_cppu.dylib.3           	0x00301a72 threadFunc + 18
32  libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
33  libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
34  libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 11:
0   libsystem_kernel.dylib        	0x9542f8e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x99ebc289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x99f49afc pthread_cond_wait + 48
3   libuno_sal.dylib.3            	0x00031ac8 osl_waitCondition + 104
4   liblnglo.dylib                	0x1e1260a3 GrammarCheckingIterator::DequeueAndCheck() + 2563
5   libuno_sal.dylib.3            	0x0000de32 osl_thread_start_Impl + 434
6   libsystem_c.dylib             	0x99eb7557 _pthread_start + 344
7   libsystem_c.dylib             	0x99ea1cee thread_start + 34

Thread 10 crashed with X86 Thread State (32-bit):
  eax: 0x00000001  ebx: 0x1d3f3386  ecx: 0x1d36d7c5  edx: 0x00000001
  edi: 0x00000000  esi: 0x1d36d830  ebp: 0xb0511a98  esp: 0xb0511a70
   ss: 0x00000023  efl: 0x00010202  eip: 0x1d39cf6f   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000023   gs: 0x0000000f
  cr2: 0x00000064
Logical CPU: 2

Binary Images:
    0x1000 -     0x1ff7 +soffice.bin (???) <F4A8D041-8B26-9639-91C9-8C7B5D3DF8E0> /Applications/LibreOffice.app/Contents/MacOS/soffice.bin
    0x5000 -    0x44ffb +libuno_sal.dylib.3 (0) <9F9711CD-F055-F3A9-D765-0952B6FDD97D> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_sal.dylib.3
   0x64000 -    0xcdfe3 +libsofficeapp.dylib (0) <B0EA20C0-1595-B390-6B85-8D44414CD3AE> /Applications/LibreOffice.app/Contents/MacOS/libsofficeapp.dylib
  0x101000 -   0x221ff7 +libcomphelpgcc3.dylib (0) <B5A3C36E-A5DB-90DC-9C70-846B9DB7F851> /Applications/LibreOffice.app/Contents/MacOS/libcomphelpgcc3.dylib
  0x2fe000 -   0x32ffeb +libuno_cppu.dylib.3 (0) <49B02573-B869-E124-CB27-DABECB859A9E> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppu.dylib.3
  0x343000 -   0x40cffb +libuno_cppuhelpergcc3.dylib.3 (0) <6CC74407-4B1D-6C67-E43F-B69EC2D722CD> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppuhelpergcc3.dylib.3
  0x48c000 -   0x4b1ff7 +libdeploymentmisclo.dylib (0) <1C364985-B3DF-22FD-DC2D-34DF2680A739> /Applications/LibreOffice.app/Contents/MacOS/libdeploymentmisclo.dylib
  0x4cd000 -   0x4d1ff7 +libi18nisolang1gcc3.dylib (0) <DDFB8FA6-6C50-33B0-B989-1824663415E4> /Applications/LibreOffice.app/Contents/MacOS/libi18nisolang1gcc3.dylib
  0x4d6000 -   0x4d9ffb +libuno_salhelpergcc3.dylib.3 (0) <40B3A431-E05D-ACC9-B9BA-1443836450FF> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_salhelpergcc3.dylib.3
  0x4df000 -   0x840fe3 +libsfxlo.dylib (0) <9FA87D20-DCC9-E526-1A70-40700100112E> /Applications/LibreOffice.app/Contents/MacOS/libsfxlo.dylib
  0xa3c000 -   0xb04fe7 +libsvllo.dylib (0) <2CDA4C99-E190-4D9A-AFA3-B1C88CF70E0E> /Applications/LibreOffice.app/Contents/MacOS/libsvllo.dylib
  0xb75000 -   0xe92ff3 +libsvtlo.dylib (0) <363D8DAC-01FD-1081-C83F-BE18EC1FC279> /Applications/LibreOffice.app/Contents/MacOS/libsvtlo.dylib
 0x106e000 -  0x12c1fef +libtklo.dylib (0) <659D9431-CFDB-1672-A88C-734C494D2E38> /Applications/LibreOffice.app/Contents/MacOS/libtklo.dylib
 0x1525000 -  0x1596fff +libtllo.dylib (0) <8B219AFF-5F51-DEF3-4D98-31D5932FDBD5> /Applications/LibreOffice.app/Contents/MacOS/libtllo.dylib
 0x15c0000 -  0x161cffb +libucbhelper4gcc3.dylib (0) <56656FCA-8F1C-791E-019B-96661AF169F4> /Applications/LibreOffice.app/Contents/MacOS/libucbhelper4gcc3.dylib
 0x165d000 -  0x1761ffb +libutllo.dylib (0) <1A162AA2-5B63-3C0F-25D9-8E58372D23F9> /Applications/LibreOffice.app/Contents/MacOS/libutllo.dylib
 0x17f1000 -  0x1bc6fe7 +libvcllo.dylib (0) <BCA52B2F-C141-D50E-C669-0D9F519C3C7A> /Applications/LibreOffice.app/Contents/MacOS/libvcllo.dylib
 0x1d62000 -  0x1d77feb +libreg.dylib.3 (0) <608888C1-38F1-4A9D-7982-193A557A5A21> /Applications/LibreOffice.app/Contents/ure-link/lib/libreg.dylib.3
 0x1d80000 -  0x1d8aff3 +libxmlreader.dylib (0) <8AD099E2-4172-95A6-B556-33D6A847FA53> /Applications/LibreOffice.app/Contents/ure-link/lib/libxmlreader.dylib
 0x1d90000 -  0x1daaff3 +libstore.dylib.3 (0) <ACE94E6C-3F14-30AE-9BD8-158BCA881BD5> /Applications/LibreOffice.app/Contents/ure-link/lib/libstore.dylib.3
 0x1db9000 -  0x1e4afff +libxcrlo.dylib (0) <7B7AD858-D470-7C70-84AD-23FD5916CDC7> /Applications/LibreOffice.app/Contents/MacOS/libxcrlo.dylib
 0x1e8d000 -  0x1feefe7 +libdb-4.7.dylib (0) <FD53B142-5B3D-56CD-5A27-E09384ABA3C6> /Applications/LibreOffice.app/Contents/MacOS/libdb-4.7.dylib
 0x2004000 -  0x2095ffb +libbasegfxlo.dylib (0) <92E46D1F-A760-9A98-48FA-943168187230> /Applications/LibreOffice.app/Contents/MacOS/libbasegfxlo.dylib
 0x20c8000 -  0x214aff7 +libfwelo.dylib (0) <BEF63203-8681-9EF4-86F4-681EC6EE993C> /Applications/LibreOffice.app/Contents/MacOS/libfwelo.dylib
 0x2195000 -  0x21aefe7 +libsaxlo.dylib (0) <E4217FE0-E39E-9E56-FFCA-EFED57C89C51> /Applications/LibreOffice.app/Contents/MacOS/libsaxlo.dylib
 0x21bf000 -  0x230dfff +libsblo.dylib (0) <54BA5D93-C306-9F66-2923-C2D037DE19EC> /Applications/LibreOffice.app/Contents/MacOS/libsblo.dylib
 0x23d2000 -  0x2420feb +libsotlo.dylib (0) <3FAE8128-84BF-7C3B-6F7E-A5D34AAF92EC> /Applications/LibreOffice.app/Contents/MacOS/libsotlo.dylib
 0x244c000 -  0x247affb +libfwilo.dylib (0) <F6CB52B2-929F-40B0-25F1-217A4DC09604> /Applications/LibreOffice.app/Contents/MacOS/libfwilo.dylib
 0x2499000 -  0x24a1fef +libi18nutilgcc3.dylib (0) <A9BD14C9-DCA7-E382-01F1-DE54836237CE> /Applications/LibreOffice.app/Contents/MacOS/libi18nutilgcc3.dylib
 0x24b5000 -  0x24cbff7 +libjvmfwk.dylib.3 (0) <750BC29B-0D8B-1772-666B-02B4C8BBD19D> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmfwk.dylib.3
 0x24d6000 -  0x25e6ff3 +libicuuc.dylib.49 (49.1.1) <89DC99AC-9106-0550-FDC6-3AE0BB4EA1C0> /Applications/LibreOffice.app/Contents/MacOS/libicuuc.dylib.49
 0x2640000 -  0x2644fff +libjvmaccessgcc3.dylib.3 (0) <C282D68E-C0C1-399E-70C7-32BA63390BF4> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmaccessgcc3.dylib.3
 0x264a000 -  0x2677ff3 +libicule.dylib.49 (49.1.1) <4896B6B1-CD34-A1E9-7047-80D270876792> /Applications/LibreOffice.app/Contents/MacOS/libicule.dylib.49
 0x268c000 -  0x26c2fe7 +liblcms2.2.dylib (3.3) <42147672-F9EE-85DC-4524-802919159620> /Applications/LibreOffice.app/Contents/MacOS/liblcms2.2.dylib
 0x26e1000 -  0x27f9ff7 +libcairo.2.dylib (11003.2) <20904A77-3012-EB1C-5234-1F67ED42CCE9> /Applications/LibreOffice.app/Contents/MacOS/libcairo.2.dylib
 0x283d000 -  0x2843ff7 +libAppleRemotelo.dylib (0) <D848BE56-B679-531A-8F3E-08B41A0EBA1F> /Applications/LibreOffice.app/Contents/MacOS/libAppleRemotelo.dylib
 0x284b000 -  0x396aff7 +libicudata.dylib.49 (49.1.1) <8E93F4EC-A83A-462F-6FFE-A7283E8F170A> /Applications/LibreOffice.app/Contents/MacOS/libicudata.dylib.49
 0x398a000 -  0x399cffd  libTraditionalChineseConverter.dylib (61) <519CAA3F-715E-3CAE-B158-57EC95D916B1> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
 0x3da3000 -  0x3db0ff3  com.apple.Librarian (1.1 - 1) <88A55A5E-40FF-3234-8394-2317120B79AB> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
 0x3dcb000 -  0x3dd7fff +libgcc3_uno.dylib (0) <183E9398-B778-973D-0053-10223B6571D7> /Applications/LibreOffice.app/Contents/ure-link/lib/libgcc3_uno.dylib
 0x5500000 -  0x55cbff7 +bootstrap.uno.dylib (0) <0CA9DC42-3FEA-F187-084D-324EAC0A782C> /Applications/LibreOffice.app/Contents/ure-link/lib/bootstrap.uno.dylib
 0x7c1b000 -  0x7cb4ff7 +configmgr.uno.dylib (0) <A5542D2B-AEBC-2714-CA64-58D7586A5C1D> /Applications/LibreOffice.app/Contents/MacOS/configmgr.uno.dylib
 0xaae2000 -  0xaae9ff3 +localebe1.uno.dylib (0) <ADC1CD22-F2D6-3F10-A5A2-DC289A5E1327> /Applications/LibreOffice.app/Contents/MacOS/localebe1.uno.dylib
 0xab1c000 -  0xab27fff +liboffacclo.dylib (0) <136DA32F-0D31-67FE-2910-0E07729A3770> /Applications/LibreOffice.app/Contents/MacOS/liboffacclo.dylib
 0xab33000 -  0xab3ffe7 +acceptor.uno.dylib (0) <07615E1A-3A36-408C-4C72-AEA9AEC4EC82> /Applications/LibreOffice.app/Contents/ure-link/lib/acceptor.uno.dylib
 0xab4d000 -  0xab55ffb +macbe1.uno.dylib (0) <0C42CB87-EC3E-0DA2-A561-588E6B4D7DEF> /Applications/LibreOffice.app/Contents/MacOS/macbe1.uno.dylib
 0xad00000 -  0xad28ff3 +binaryurp.uno.dylib (0) <59C30E2A-ED88-7643-F5B2-34CE41697563> /Applications/LibreOffice.app/Contents/ure-link/lib/binaryurp.uno.dylib
 0xad3f000 -  0xad8cff3 +libucb1.dylib (0) <0C9C5A5C-0E41-2BC1-0B32-1C516BDA13E9> /Applications/LibreOffice.app/Contents/MacOS/libucb1.dylib
 0xadb8000 -  0xb033ffb +libfwklo.dylib (0) <B4B7D4EB-02BD-09E5-80EA-D13B7D20E9B6> /Applications/LibreOffice.app/Contents/MacOS/libfwklo.dylib
 0xb18f000 -  0xb1eaffb +libucpfile1.dylib (0) <C3C33CEF-5895-D2DE-AC30-7F38C821D221> /Applications/LibreOffice.app/Contents/MacOS/libucpfile1.dylib
 0xb219000 -  0xb393fff +i18npool.uno.dylib (0) <3F5BB8E2-6C63-0001-93BC-3268BCB403A1> /Applications/LibreOffice.app/Contents/MacOS/i18npool.uno.dylib
 0xb422000 -  0xb58ffe3 +libicui18n.dylib.49 (49.1.1) <0E107A7F-D029-34B5-32DE-9D19BA0B61BA> /Applications/LibreOffice.app/Contents/MacOS/libicui18n.dylib.49
 0xb631000 -  0xb6d6ffb +liblocaledata_others.dylib (0) <53B4C4FF-65E9-CA28-CC25-359C458B1733> /Applications/LibreOffice.app/Contents/MacOS/liblocaledata_others.dylib
 0xb93f000 -  0xb952fe3 +liblocaledata_en.dylib (0) <D7E2C99D-A16F-23D6-594B-17A84029BE6A> /Applications/LibreOffice.app/Contents/MacOS/liblocaledata_en.dylib
 0xfddf000 -  0xff40fe3 +libsal_textenc.dylib (0) <225A9F4B-64B3-F5BB-3089-9A3FEF48B9C5> /Applications/LibreOffice.app/Contents/ure-link/lib/libsal_textenc.dylib
0x102a3000 - 0x102a8fff +pythonloader.uno.dylib (0) <BC904596-7C95-FBDD-6A77-9C094D2514F3> /Applications/LibreOffice.app/Contents/MacOS/pythonloader.uno.dylib
0x102ff000 - 0x10303ff7 +_ssl.so (???) <D86C8BFE-6F1E-8C89-912A-AABDFD8E6D8D> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/_ssl.so
0x1033c000 - 0x10346ff3 +libswdlo.dylib (0) <9E14FA80-44BF-B9D5-AEE6-46A058FDE5C7> /Applications/LibreOffice.app/Contents/MacOS/libswdlo.dylib
0x10351000 - 0x10352ff7 +cStringIO.so (???) <D33E221F-7564-3D15-E5D2-E0ACD9009B3C> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringIO.so
0x10561000 - 0x10568ff7 +_socket.so (???) <346F5B27-21E7-793B-73D7-53D2490CD92C> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/_socket.so
0x10885000 - 0x1089dff3 +stocservices.uno.dylib (0) <A7093E37-403D-3F9C-A532-2318C83FAF0E> /Applications/LibreOffice.app/Contents/ure-link/lib/stocservices.uno.dylib
0x108bc000 - 0x1090cfe3 +libfilterconfiglo.dylib (0) <8A2EEEB4-CA0A-1AB6-EB3F-217ECD5B745B> /Applications/LibreOffice.app/Contents/MacOS/libfilterconfiglo.dylib
0x109f6000 - 0x109f9ff7 +strop.so (???) <CC914447-0CA3-2F3A-2AC1-8F64D03C6207> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so
0x10b80000 - 0x10b9dfe7 +libavmedialo.dylib (0) <A77915F6-9DF5-4017-05BC-5C25A7D9A5D1> /Applications/LibreOffice.app/Contents/MacOS/libavmedialo.dylib
0x10bba000 - 0x10c9efff +libdrawinglayerlo.dylib (0) <D4402519-0798-A5BB-2C95-56D483F4DBC6> /Applications/LibreOffice.app/Contents/MacOS/libdrawinglayerlo.dylib
0x10d25000 - 0x10ea9fe7 +libeditenglo.dylib (0) <E33ACA26-13FF-D5A9-9438-683D156DDF96> /Applications/LibreOffice.app/Contents/MacOS/libeditenglo.dylib
0x10fe9000 - 0x11013ff3 +libcanvastoolslo.dylib (0) <AE4E4878-0945-0DC3-22CB-CD7EDF4C48C7> /Applications/LibreOffice.app/Contents/MacOS/libcanvastoolslo.dylib
0x11073000 - 0x11078ff7 +array.so (???) <C20A7BBC-CA10-163B-B3A6-BEB8108B95C6> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/array.so
0x1190b000 - 0x1191bff7 +libevtattlo.dylib (0) <A0B1EA1C-8622-414F-F5EA-529EDAEAAFC4> /Applications/LibreOffice.app/Contents/MacOS/libevtattlo.dylib
0x1192a000 - 0x11963ffb +libspelllo.dylib (0) <2A281C3B-2ADD-6F23-24B0-7CBB94574A68> /Applications/LibreOffice.app/Contents/MacOS/libspelllo.dylib
0x1199d000 - 0x119aaff3 +libMacOSXSpelllo.dylib (0) <1D93AE3A-1B89-D1C9-F76E-78A1589CC0FD> /Applications/LibreOffice.app/Contents/MacOS/libMacOSXSpelllo.dylib
0x119c9000 - 0x119e3fff +invocation.uno.dylib (0) <657ED777-7F00-08A1-9E56-19DCAA010751> /Applications/LibreOffice.app/Contents/ure-link/lib/invocation.uno.dylib
0x11b00000 - 0x11b38feb +libpyuno.dylib (0) <4D513F87-E526-F495-9B32-028E3262B40D> /Applications/LibreOffice.app/Contents/MacOS/libpyuno.dylib
0x11bd6000 - 0x11be1fe3 +invocadapt.uno.dylib (0) <CEA82E0D-CE11-8FF7-FCAF-A8781A27086A> /Applications/LibreOffice.app/Contents/ure-link/lib/invocadapt.uno.dylib
0x11ccb000 - 0x11cdeff3 +libhyphenlo.dylib (0) <EA851444-D896-79E5-139B-9CDC0D9F41D7> /Applications/LibreOffice.app/Contents/MacOS/libhyphenlo.dylib
0x19d4e000 - 0x19f58feb +libfrmlo.dylib (0) <C1A898C9-F95B-F921-E7CD-266E889446E9> /Applications/LibreOffice.app/Contents/MacOS/libfrmlo.dylib
0x1a10b000 - 0x1a24cfe3 +libdbtoolslo.dylib (0) <A23A4212-D854-B780-C8D5-EBB52E54D47B> /Applications/LibreOffice.app/Contents/MacOS/libdbtoolslo.dylib
0x1a324000 - 0x1a473fff +OOoPython (2.6) <88C304AE-154F-AB73-05D0-71361140478B> /Applications/LibreOffice.app/Contents/MacOS/OOoPython.framework/Versions/2.6/OOoPython
0x1a574000 - 0x1a588fff +liblnthlo.dylib (0) <247E62F6-6217-B172-F2E8-A71D16406F3E> /Applications/LibreOffice.app/Contents/MacOS/liblnthlo.dylib
0x1d10f000 - 0x1db78ff7 +libswlo.dylib (0) <D9545E6C-3BA6-A6AB-7AF6-5551A795A3DE> /Applications/LibreOffice.app/Contents/MacOS/libswlo.dylib
0x1e0fa000 - 0x1e175fff +liblnglo.dylib (0) <7023004F-3AEE-6CD8-6B32-7D14FA85F19C> /Applications/LibreOffice.app/Contents/MacOS/liblnglo.dylib
0x1e1d1000 - 0x1e3c6fe3 +libsvxlo.dylib (0) <E5516112-7D1F-9E69-854A-4E570A256D06> /Applications/LibreOffice.app/Contents/MacOS/libsvxlo.dylib
0x1e553000 - 0x1eab9feb +libsvxcorelo.dylib (0) <DD20C487-8F89-881C-50AC-C8551819B546> /Applications/LibreOffice.app/Contents/MacOS/libsvxcorelo.dylib
0x1eed4000 - 0x1ef77ffb +libvbahelperlo.dylib (0) <8DA277EE-0695-DC6A-30B7-1F343780840C> /Applications/LibreOffice.app/Contents/MacOS/libvbahelperlo.dylib
0x1eff5000 - 0x1f392feb +libxolo.dylib (0) <FA77967E-EFC1-D432-7152-EFB91077A543> /Applications/LibreOffice.app/Contents/MacOS/libxolo.dylib
0x1f55c000 - 0x1f5adffb +libcppcanvaslo.dylib (0) <E70A3CD9-44A6-E4E5-B8D9-94838A407F0A> /Applications/LibreOffice.app/Contents/MacOS/libcppcanvaslo.dylib
0x1f5e0000 - 0x1f678feb +libmsfilterlo.dylib (0) <FC0464FC-C845-2865-E337-BB58211EC514> /Applications/LibreOffice.app/Contents/MacOS/libmsfilterlo.dylib
0x1f6d7000 - 0x1f6e9ff7 +libfileacc.dylib (0) <74131B13-BEE8-DF50-4CD3-37B16777103F> /Applications/LibreOffice.app/Contents/MacOS/libfileacc.dylib
0x1f6f9000 - 0x1f729ff7 +expwrap.uno.dylib (0) <E29155D0-11DF-8E3B-6C8C-8A7289110CBC> /Applications/LibreOffice.app/Contents/MacOS/expwrap.uno.dylib
0x1f74f000 - 0x1f80ffef +libdeployment.dylib (0) <56EE9CAE-7E00-9724-2083-9D209F99806D> /Applications/LibreOffice.app/Contents/MacOS/libdeployment.dylib
0x1f8a7000 - 0x1f8ddfe3 +libhelplinkerlo.dylib (0) <1B46BE4E-9F18-9598-0814-1889B45506E2> /Applications/LibreOffice.app/Contents/MacOS/libhelplinkerlo.dylib
0x1f8ef000 - 0x1fa36ff3 +libclucene.dylib (0) <50116CAF-0993-4A46-EF49-5DD86774659A> /Applications/LibreOffice.app/Contents/MacOS/libclucene.dylib
0x1fb6c000 - 0x1fb71ff3 +ucpexpand1.uno.dylib (0) <75DD9F4C-FCB1-C0CB-A08B-4FAAD6EEBC0E> /Applications/LibreOffice.app/Contents/MacOS/ucpexpand1.uno.dylib
0x1fb7b000 - 0x1fbd8fe7 +libunoxmllo.dylib (0) <BCB9FA11-7725-77BD-FCB3-EADB79FFE1BB> /Applications/LibreOffice.app/Contents/MacOS/libunoxmllo.dylib
0x1fc87000 - 0x1fcffff3 +libpackage2.dylib (0) <DD0287B5-C650-8AF3-A939-E9608159AB2C> /Applications/LibreOffice.app/Contents/MacOS/libpackage2.dylib
0x1fd62000 - 0x1fe13ff3 +libxstor.dylib (0) <BAF858E8-2123-FE4D-F9F5-02B222D6153F> /Applications/LibreOffice.app/Contents/MacOS/libxstor.dylib
0x1fe53000 - 0x1fe74ff7 +reflection.uno.dylib (0) <8393E4C0-59E6-2144-6C5C-26D7F58C046B> /Applications/LibreOffice.app/Contents/ure-link/lib/reflection.uno.dylib
0x1feaf000 - 0x1fedefef +libucppkg1.dylib (0) <C2BC9EEA-EA6F-AFF1-0346-17B8B97B07E3> /Applications/LibreOffice.app/Contents/MacOS/libucppkg1.dylib
0x1fef6000 - 0x1ff21ff7 +introspection.uno.dylib (0) <69B23800-D52B-9699-8375-D6EC8032F73E> /Applications/LibreOffice.app/Contents/ure-link/lib/introspection.uno.dylib
0x1ff59000 - 0x200e7fff +libmswordlo.dylib (0) <615D2872-9F1B-EFF5-8ABD-A799FC6B20F0> /Applications/LibreOffice.app/Contents/MacOS/libmswordlo.dylib
0x2018d000 - 0x20575fff +libooxlo.dylib (0) <B0875599-FC74-3E19-5975-227ECAAE6DBE> /Applications/LibreOffice.app/Contents/MacOS/libooxlo.dylib
0x20935000 - 0x20957ffe  libssl.0.9.7.dylib (106) <FC1F6C04-EAD3-39D1-8E25-B1192E89D98B> /usr/lib/libssl.0.9.7.dylib
0x20965000 - 0x20a10fff  libcrypto.0.9.7.dylib (106) <041B3399-5033-3395-9A71-6693F3A33D94> /usr/lib/libcrypto.0.9.7.dylib
0x20b4b000 - 0x20cacffb +vbaswobj.uno.dylib (0) <4FA4AD82-29E2-BAF2-9824-5D129F338D39> /Applications/LibreOffice.app/Contents/MacOS/vbaswobj.uno.dylib
0x8fe8a000 - 0x8febce57  dyld (210.2.3) <23516BE4-29BE-350C-91C9-F36E7999F0F1> /usr/lib/dyld
0x90007000 - 0x9000aff9  libCGXType.A.dylib (324.6) <3004616B-51F6-3B9D-8B85-DCCA3DF9BC10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x90025000 - 0x90073ff3  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <7BA6C58B-0357-356F-BB69-17ACB5E35988> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90074000 - 0x900f9ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <454E950F-291C-3E95-8F35-05CA0AD6B327> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9014b000 - 0x90168fff  libxpc.dylib (140.41) <1BFE3149-C242-3A77-9729-B00DEDC8CCF2> /usr/lib/system/libxpc.dylib
0x90169000 - 0x90203fff  com.apple.CoreSymbolication (3.0 - 87) <6A27BBE5-6EF0-3D5D-A485-2145826B9796> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x90204000 - 0x9020cfff  libcopyfile.dylib (89) <4963541B-0254-371B-B29A-B6806888949B> /usr/lib/system/libcopyfile.dylib
0x9020d000 - 0x9021bff7  libz.1.dylib (43) <245F1B61-2276-3BBB-9891-99934116D833> /usr/lib/libz.1.dylib
0x9021c000 - 0x9021fffc  libpam.2.dylib (20) <FCF74195-A99E-3B07-8E49-688D4A6F1E18> /usr/lib/libpam.2.dylib
0x90220000 - 0x90230ff2  com.apple.LangAnalysis (1.7.0 - 1.7.0) <875363E7-6D02-3229-A9DD-E5A5568A7D61> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x90273000 - 0x903c0ffb  com.apple.CFNetwork (596.2.3 - 596.2.3) <1221EF86-659B-3136-AB57-0CC6B130CDA2> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x903c1000 - 0x903c4ffd  libCoreVMClient.dylib (24.4) <C54E8FD0-61EC-3DC8-8631-54288AC66AC8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x9049c000 - 0x904f9fff  com.apple.audio.CoreAudio (4.1.0 - 4.1.0) <9549B81F-4425-34EE-802B-F462068DC0C5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x904fa000 - 0x904fbfff  libsystem_sandbox.dylib (220) <4E42390B-25EC-3530-AF01-337E430C16EB> /usr/lib/system/libsystem_sandbox.dylib
0x90594000 - 0x90594ffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <4C13DEA2-1EB0-3D06-901A-DB93184C06F0> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x90595000 - 0x905effff  com.apple.Symbolication (1.3 - 93) <684ECF0D-D416-3DF8-8B5B-3902953853A8> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x905f4000 - 0x90618fff  libJPEG.dylib (845) <547FA9A5-0BBB-3E39-BACA-F3E2DAE57DB0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x90619000 - 0x9065dfff  libGLU.dylib (8.6.1) <06BAFDCA-800C-35E3-B1A3-F05E105B86AB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9075b000 - 0x90788ffe  libsystem_m.dylib (3022.6) <9975D9C3-3B71-38E3-AA21-C5C5F9D9C431> /usr/lib/system/libsystem_m.dylib
0x91502000 - 0x91505ff7  com.apple.TCC (1.0 - 1) <437D76CD-6437-3B55-BE2C-A53508858256> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x9150d000 - 0x9150dfff  libkeymgr.dylib (25) <D5E93F7F-9315-3AD6-92C7-941F7B54C490> /usr/lib/system/libkeymgr.dylib
0x9150f000 - 0x91513ffc  libGIF.dylib (845) <714E9F0D-D7A3-3F58-B46E-FCBE0F144B23> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91514000 - 0x91522fff  com.apple.opengl (1.8.6 - 1.8.6) <1AD1AE7B-B57B-35B5-B571-32A34F0DA737> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x91523000 - 0x9173afff  com.apple.CoreData (106.1 - 407.7) <17FD06D6-AD7C-345A-8FA4-1F0FBFF4DAE1> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x9173b000 - 0x91764fff  libxslt.1.dylib (11.3) <0DE17DAA-66FF-3195-AADB-347BEB5E2EFA> /usr/lib/libxslt.1.dylib
0x91765000 - 0x9176cff3  com.apple.NetFS (5.0 - 4.0) <1F7041F2-4E97-368C-8F5D-24153D81BBDB> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x917b7000 - 0x917fcff7  com.apple.NavigationServices (3.7 - 200) <F6531764-6E43-3AF3-ACDD-8A5551EF016A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x917fd000 - 0x918d1fff  com.apple.backup.framework (1.4.1 - 1.4.1) <55F2A679-9B21-3F43-A580-4C2ECF6A5FC5> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x918d2000 - 0x91972ff7  com.apple.QD (3.42 - 285) <1B8307C6-AFA8-312E-BA5B-679070EF2CA1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91973000 - 0x91995fff  libc++abi.dylib (24.4) <06479DA4-BC23-34B6-BAFC-A885814261D0> /usr/lib/libc++abi.dylib
0x91996000 - 0x919feff7  com.apple.framework.IOKit (2.0 - 755.18.10) <9A80E97E-544F-3A45-916D-6DB7ED217E33> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x919ff000 - 0x91a11ff7  libdispatch.dylib (228.23) <86EF7D45-2D97-3465-A449-95038AE5DABA> /usr/lib/system/libdispatch.dylib
0x91a12000 - 0x91a53ff7  libcups.2.dylib (327) <F46F8703-FEAE-3442-87CB-45C8BF98BEE5> /usr/lib/libcups.2.dylib
0x91a54000 - 0x91e71fff  FaceCoreLight (2.4.1) <571DE3F8-CA8A-3E71-9AF4-F06FFE721CE6> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
0x91e72000 - 0x91ec1ff6  libTIFF.dylib (845) <989A2EB9-3A49-3157-8E9C-B16E6005BC64> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91f58000 - 0x91f5afff  com.apple.securityhi (4.0 - 55002) <62E3AE75-61CB-341E-B2A0-CFC985A2BF7F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x91f5b000 - 0x91fa9ffb  libFontRegistry.dylib (100) <3B8350C2-4D8F-38C4-A22E-2F855D7E83D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x91faa000 - 0x91fabffd  libunc.dylib (25) <58599CBF-E262-3CEA-AFE1-35560E0177DC> /usr/lib/system/libunc.dylib
0x91fac000 - 0x9206aff3  com.apple.ColorSync (4.8.0 - 4.8.0) <EFEDCB37-4F20-3CEC-A185-5D2976E11BAC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9206b000 - 0x9206ffff  com.apple.OpenDirectory (10.8 - 151.10) <A1858D81-086F-3BF5-87E3-9B70409FFDF6> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x92070000 - 0x920e5ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <95206704-F9C9-33C4-AF25-FE9890E160B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x920e6000 - 0x920efffd  com.apple.audio.SoundManager (4.0 - 4.0) <ABC5FE40-B222-36EB-9905-5C8C4BFD8C87> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x920f0000 - 0x9219afff  com.apple.LaunchServices (539.7 - 539.7) <AF33EBD3-BC0B-30B5-B7DA-5CCCF12D7EDD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9219b000 - 0x9219bfff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <908B8D40-3FB5-3047-B482-3DF95025ECFC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9219c000 - 0x92216ff7  com.apple.securityfoundation (6.0 - 55115.4) <A959B2F5-9D9D-3C93-A62A-7399594CF238> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x92662000 - 0x926bbfff  com.apple.AE (645.3 - 645.3) <6745659F-006D-3F25-94D6-DF944E9A01FD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x926bc000 - 0x926bcfff  com.apple.vecLib (3.8 - vecLib 3.8) <83160DD1-5614-3E34-80EB-97041016EF1F> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x926bd000 - 0x927d9ff7  com.apple.desktopservices (1.7.2 - 1.7.2) <8E74D101-8398-34F1-A463-B4950680A597> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927da000 - 0x92831ff3  com.apple.HIServices (1.20 - 417) <561A770B-8523-3D09-A763-11F872779A4C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x92832000 - 0x9283eff8  libbz2.1.0.dylib (29) <7031A4C0-784A-3EAA-93DF-EA1F26CC9264> /usr/lib/libbz2.1.0.dylib
0x9283f000 - 0x928aeffb  com.apple.Heimdal (3.0 - 2.0) <1ABF438B-30E6-3165-968C-E2EA1A9DF1FD> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x928af000 - 0x928b3ff7  libmacho.dylib (829) <5280A013-4F74-3F74-BE0C-7F612C49F1DC> /usr/lib/system/libmacho.dylib
0x928b4000 - 0x928bbfff  liblaunch.dylib (442.26.2) <310C99F8-0811-314D-9BB9-D0ED6DFA024B> /usr/lib/system/liblaunch.dylib
0x928bc000 - 0x928dcffd  com.apple.ChunkingLibrary (2.0 - 133.2) <FE5F0F1E-B15D-3F76-8655-DC2FE19BF56E> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
0x928dd000 - 0x928e6ff9  com.apple.CommonAuth (3.0 - 2.0) <A1A6CC3D-AA88-3519-A305-9B5D76C5D63B> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x92912000 - 0x92924fff  libbsm.0.dylib (32) <DADD385E-FE53-3458-94FB-E316A6345108> /usr/lib/libbsm.0.dylib
0x92b97000 - 0x92c46ff7  com.apple.CoreText (260.0 - 275.16) <873ADCD9-D361-3753-A220-CDD289196AD8> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x92c47000 - 0x92cabfff  com.apple.datadetectorscore (4.0 - 269.1) <4D155F09-1A60-325A-BCAC-1B858C2C051B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x92cac000 - 0x92e24ff5  com.apple.QuartzCore (1.8 - 304.0) <0B0EC55A-9084-3E28-9A84-1813CE3FAA9B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92e2c000 - 0x92e2efff  libCVMSPluginSupport.dylib (8.6.1) <8A174BD9-992E-351D-8F9A-DF6991723ABE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x92e31000 - 0x92e47fff  com.apple.CFOpenDirectory (10.8 - 151.10) <56C3F276-BD1F-3031-8CF9-8F4F481A534E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x92e48000 - 0x92eb0fe7  libvDSP.dylib (380.6) <55780308-4DCA-3B10-9703-EAFC3E13A3FA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x92eb1000 - 0x92eb1fff  com.apple.Cocoa (6.7 - 19) <354094F0-F36B-36F9-BF5F-FD60590FBEB9> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x92fa7000 - 0x92fadfff  com.apple.print.framework.Print (8.0 - 258) <12AEAD24-6924-3923-9E4A-C5D21231E639> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92fae000 - 0x92fb2fff  com.apple.IOSurface (86.0.3 - 86.0.3) <E3A4DB0A-1C1A-31E3-A550-5C0E1C874509> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x92fb3000 - 0x93b6fffb  com.apple.AppKit (6.8 - 1187.34) <06EDB1D1-3B8A-3699-8E3A-D8F50A27AB7C> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93cb5000 - 0x93cb6ffd  com.apple.TrustEvaluationAgent (2.0 - 23) <E42347C0-2D3C-36A4-9200-757FFA61B388> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x94a9a000 - 0x94aa8ff3  libsystem_network.dylib (77.10) <7FBF5A15-97BA-3721-943E-E77F0C40DBE1> /usr/lib/system/libsystem_network.dylib
0x94cda000 - 0x94e96ffd  libicucore.A.dylib (491.11.1) <B19E450A-BAF1-3967-9C95-7F77DC0B4639> /usr/lib/libicucore.A.dylib
0x94e97000 - 0x94f8fff9  libsqlite3.dylib (138.1) <AD7C5914-35F0-37A3-9238-A29D2E26C755> /usr/lib/libsqlite3.dylib
0x94f90000 - 0x94f90fff  libsystem_blocks.dylib (59) <3A743C5D-CFA5-37D8-80A8-B6795A9DB04F> /usr/lib/system/libsystem_blocks.dylib
0x94f91000 - 0x94fccfe7  libGLImage.dylib (8.6.1) <A3442557-18D5-332E-8859-423D5A20EBBE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9500e000 - 0x9508aff3  com.apple.Metadata (10.7.0 - 707.3) <6B6A6216-23D0-34CE-8099-BEE9BA42501E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9508b000 - 0x9508fffe  libcache.dylib (57) <834FDCA7-FE3B-33CC-A12A-E11E202477EC> /usr/lib/system/libcache.dylib
0x95110000 - 0x95415ff7  com.apple.CoreServices.CarbonCore (1037.3 - 1037.3) <4571EDDC-704A-3FB1-B9A6-59870AA6165F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9541b000 - 0x95435ffc  libsystem_kernel.dylib (2050.18.24) <C17D49D0-7961-3B67-B443-C788C6E5AA76> /usr/lib/system/libsystem_kernel.dylib
0x95438000 - 0x95443fff  libcommonCrypto.dylib (60026) <A6C6EDB8-7E69-3827-81F3-9A74D0935461> /usr/lib/system/libcommonCrypto.dylib
0x95444000 - 0x95483ff7  com.apple.bom (12.0 - 192) <0637E52C-D151-37B3-904F-8656B2FD44DD> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
0x95484000 - 0x9551bff7  com.apple.ink.framework (10.8.2 - 150) <D90FF7BC-6B90-39F1-AC52-670269947C58> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x95808000 - 0x95c4afff  com.apple.CoreGraphics (1.600.0 - 324.6) <66556166-F9A7-3EEC-A562-46061C7A79E4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x95ca5000 - 0x95db2ff3  com.apple.ImageIO.framework (3.2.0 - 845) <BF959BCB-C30A-3680-B7C2-91B327B2B63B> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x95de9000 - 0x95deafff  libdnsinfo.dylib (453.18) <41C7B8E2-2A81-31DE-BD8B-F0C29E169D4F> /usr/lib/system/libdnsinfo.dylib
0x95f9d000 - 0x95fcefff  com.apple.DictionaryServices (1.2 - 184.4) <0D5BE86F-F40A-3E39-8569-19FCA5EDF9D3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x95fcf000 - 0x95fd0fff  libDiagnosticMessagesClient.dylib (8) <39B3D25A-148A-3936-B800-0D393A00E64F> /usr/lib/libDiagnosticMessagesClient.dylib
0x95fd1000 - 0x960c2ffc  libiconv.2.dylib (34) <B096A9B7-83A6-31B3-8D2F-87D91910BF4C> /usr/lib/libiconv.2.dylib
0x960c3000 - 0x9610ffff  libcorecrypto.dylib (106.2) <20EBADBA-D6D6-36F0-AE80-168E9AF13DB6> /usr/lib/system/libcorecrypto.dylib
0x963aa000 - 0x963bffff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <DE68CEB5-4959-3652-83B8-D2B00D3B932D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x963c0000 - 0x9663cff7  com.apple.QuickTime (7.7.1 - 2599.13) <FE609160-E1EF-341D-9B6A-205D3E03A4D2> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9663d000 - 0x96795ffb  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <9205DFC2-8DAE-354E-AD87-46E229B5F2F1> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x96796000 - 0x967bafff  com.apple.PerformanceAnalysis (1.16 - 16) <18DE0F9F-1264-394D-AC56-6B2A1771DFBE> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x967bb000 - 0x96800ff5  com.apple.opencl (2.1.20 - 2.1.20) <41C4AE6E-67B6-33E2-A9B6-BF6F01580B16> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x968e3000 - 0x968e3fff  libSystem.B.dylib (169.3) <81C58EAB-0E76-3EAB-BDFD-C5A6FE95536F> /usr/lib/libSystem.B.dylib
0x968e4000 - 0x96accff3  com.apple.CoreFoundation (6.8 - 744.12) <E939CEA0-493C-3233-9983-5070981BB350> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x96acd000 - 0x96acdffd  libOpenScriptingUtil.dylib (148.2) <907E25B1-4F50-3461-B8D5-733C687EB534> /usr/lib/libOpenScriptingUtil.dylib
0x96ace000 - 0x96ad1ff7  libcompiler_rt.dylib (30) <CE5DBDB4-0124-3E2B-9105-989DF98DD108> /usr/lib/system/libcompiler_rt.dylib
0x96ad2000 - 0x96bddff7  libJP2.dylib (845) <D409C913-6FA4-3D60-BFE0-B9FC6A02FEE0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x96bde000 - 0x96be5fff  libsystem_dnssd.dylib (379.32.1) <6A505284-2382-3F27-B96F-15FFDACF004E> /usr/lib/system/libsystem_dnssd.dylib
0x96be6000 - 0x96c03fff  libCRFSuite.dylib (33) <C9D72D0C-871A-39A2-8AFB-682D11AE7D0D> /usr/lib/libCRFSuite.dylib
0x96c04000 - 0x96c0afff  libGFXShared.dylib (8.6.1) <E32A7266-FCDD-352C-9C2A-8939265974AF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x96c0b000 - 0x96c15fff  libsystem_notify.dylib (98.5) <7EEE9475-18F8-3099-B0ED-23A3E528ABE0> /usr/lib/system/libsystem_notify.dylib
0x96c16000 - 0x96c22ffe  libkxld.dylib (2050.18.24) <48A75AF6-9D5A-3552-948E-30A1682D3664> /usr/lib/system/libkxld.dylib
0x96e7c000 - 0x96f89057  libobjc.A.dylib (532.2) <FA455371-7395-3D58-A89B-D1520612D1BC> /usr/lib/libobjc.A.dylib
0x96f8a000 - 0x96f8efff  com.apple.CommonPanels (1.2.5 - 94) <6B3E7E53-7708-3DA2-8C50-59C2B4735DE1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9701d000 - 0x97050ff3  com.apple.GSS (3.0 - 2.0) <B1D719C1-B000-3BE3-B747-329D608585DD> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x97051000 - 0x97105fff  com.apple.coreui (2.0 - 181.1) <C15ABF35-B7F5-34ED-A461-386DAF65D96B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x97106000 - 0x97133ffb  com.apple.CoreServicesInternal (154.2 - 154.2) <DCCF604B-1DB8-3F09-8122-545E2E7F466D> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x97134000 - 0x9713bffb  libunwind.dylib (35.1) <E1E8D8B3-3C78-3AB1-B398-C180DC6DCF05> /usr/lib/system/libunwind.dylib
0x9713c000 - 0x97197fff  com.apple.htmlrendering (77 - 1.1.4) <5C0C669F-AE07-3983-B38F-EB829B5CE609> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x971a8000 - 0x971a9fff  libremovefile.dylib (23.1) <98622D14-DAAB-3AD8-A5D9-C322BF572A98> /usr/lib/system/libremovefile.dylib
0x971aa000 - 0x97562ffa  libLAPACK.dylib (1073.4) <9A6E5EAD-F2F2-3D5C-B655-2B536DB477F2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x97567000 - 0x97574ff7  com.apple.AppleFSCompression (49 - 1.0) <166AA1F8-E50A-3533-A3B5-8737C5118CC3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x975bb000 - 0x975c3fff  com.apple.DiskArbitration (2.5.1 - 2.5.1) <25A7232F-9B6A-3746-A3A8-12479D086B1E> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x975c4000 - 0x975e2ff3  com.apple.openscripting (1.3.6 - 148.2) <55738D66-CC15-3F43-9265-00C3322D39C4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x975e3000 - 0x975e3fff  com.apple.Carbon (154 - 155) <604ADD9D-5835-3294-842E-3A4AEBCCB548> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x975e4000 - 0x9760dff7  libRIP.A.dylib (324.6) <7976E6A2-A489-33F5-A727-7634DDE3B761> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9760e000 - 0x9761affa  com.apple.CrashReporterSupport (10.8.2 - 415) <BAE9900A-51E7-3AD4-A7FB-7E6CCFFB2F21> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x9761b000 - 0x97672ff7  com.apple.ScalableUserInterface (1.0 - 1) <2B5E454B-BC49-3E85-B54D-1950397C448C> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
0x97673000 - 0x977aeff7  libBLAS.dylib (1073.4) <FF74A147-05E1-37C4-BC10-7DEB57FE5326> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x977af000 - 0x977b1ffb  libRadiance.dylib (845) <3F87840F-217D-3074-A29D-919BAAED2F4A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x977b2000 - 0x97818fff  com.apple.print.framework.PrintCore (8.1 - 387.1) <F8CF762B-B707-3021-958F-BB8D33DB3576> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x97819000 - 0x97895ffb  libType1Scaler.dylib (101.1) <0D94D786-29F7-33DB-B64B-B264FA5EACD2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x97896000 - 0x978ccffb  com.apple.DebugSymbols (98 - 98) <9A9ADA0A-E487-3C8F-9998-286EE04C235A> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x97906000 - 0x97906fff  com.apple.CoreServices (57 - 57) <956C6C6D-A5DD-314F-9C57-4A61D41F30CE> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x97907000 - 0x97926ff3  com.apple.Ubiquity (1.2 - 243.10) <D2C9F356-1681-31D2-B292-5227E2DDEB0B> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
0x97927000 - 0x979b9ffb  libvMisc.dylib (380.6) <6DA3A03F-20BE-300D-A664-B50A7B4E4B1A> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x97a41000 - 0x97a5eff7  libresolv.9.dylib (51) <B9742A2A-DF15-3F6E-8FCE-778A58214B3A> /usr/lib/libresolv.9.dylib
0x97a5f000 - 0x97a62fff  com.apple.help (1.3.2 - 42) <AD7EB1F0-A068-3A2C-9D59-38E59CEC0D96> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x97a63000 - 0x97e46ff3  com.apple.HIToolbox (2.0 - 625) <5A312E41-9940-363E-B891-90C4672E6850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x97e47000 - 0x97e51ffe  com.apple.bsd.ServiceManagement (2.0 - 2.0) <9732BA61-D6F6-3644-82DA-FF0D6FEEFC69> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x97e8f000 - 0x97eb4ffb  com.apple.framework.familycontrols (4.1 - 410) <5A8504E7-D95D-3101-8E20-38EADE8DEAE1> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x97eb5000 - 0x97eb7fff  libdyld.dylib (210.2.3) <05D6FF2A-F09B-309D-95F7-7AF10259C707> /usr/lib/system/libdyld.dylib
0x97eec000 - 0x97f2effb  com.apple.RemoteViewServices (2.0 - 80.5) <60E04F2F-AFD8-3B1F-BF07-8A3A7EABB8E9> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x98376000 - 0x98474ff7  libFontParser.dylib (84.5) <B3006327-7B2D-3966-A56A-BD85F1D71641> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x98475000 - 0x9855eff7  libxml2.2.dylib (22.3) <015A4FA6-5BB9-3F95-AFB8-B9281E22685B> /usr/lib/libxml2.2.dylib
0x9855f000 - 0x98578fff  com.apple.Kerberos (2.0 - 1) <9BDE8F4D-DBC3-34D1-852C-898D3655A611> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x98602000 - 0x98603fff  libquarantine.dylib (52) <D526310F-DC77-37EA-8F5F-83928EFA3262> /usr/lib/system/libquarantine.dylib
0x98604000 - 0x9878dff7  com.apple.vImage (6.0 - 6.0) <1D1F67FE-4F75-3689-BEF6-4A46C8039E70> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9900b000 - 0x99015fff  libCSync.A.dylib (324.6) <D2E8AC70-C6D1-3C40-8A82-E50422EDCFBF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x99016000 - 0x99017fff  liblangid.dylib (116) <E13CC8C5-5034-320A-A210-41A2BDE4F846> /usr/lib/liblangid.dylib
0x99018000 - 0x99022fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <B855E8B4-2EE3-3BFF-8547-98A0F084F9AF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x99023000 - 0x9902fff7  com.apple.NetAuth (4.0 - 4.0) <4983C4B8-9D95-3C4D-897E-07743326487E> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x99030000 - 0x99045fff  com.apple.ImageCapture (8.0 - 8.0) <B8BD421F-D5A9-3FB4-8E89-AD5CFC0D4030> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x99088000 - 0x9909ffff  com.apple.GenerationalStorage (1.1 - 132.2) <93694E0D-35D3-3633-976E-F354CBD92F54> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x990a0000 - 0x99138fff  com.apple.CoreServices.OSServices (557.4 - 557.4) <C724AB29-A596-3E1E-9FF1-A4E509AD843A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x99179000 - 0x991ddff3  libstdc++.6.dylib (56) <F8FA490A-8F3C-3645-ABF5-78926CE9C62C> /usr/lib/libstdc++.6.dylib
0x991f9000 - 0x99201fff  com.apple.CommerceCore (1.0 - 26) <AF0D1990-8CBF-3AB4-99DF-8B7AE14FB0D5> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x992ba000 - 0x992c7fff  libGL.dylib (8.6.1) <C7A3917A-C444-33CC-8599-BB9CD8C12BC4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x992c8000 - 0x992dbff9  com.apple.MultitouchSupport.framework (235.28 - 235.28) <5C8CFA21-D4FC-32E8-B199-0F7155E6ED9A> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x992dc000 - 0x992f8ff7  libPng.dylib (845) <14C43094-C670-3575-BF9B-3A967E05EAC0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x99418000 - 0x9943dff7  com.apple.CoreVideo (1.8 - 99.3) <5B872AC0-E82D-3475-A3F9-FD95F380560D> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9943e000 - 0x9943efff  com.apple.ApplicationServices (45 - 45) <677C4ACC-9D12-366F-8A87-B898AC806DD9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9943f000 - 0x994a1fff  libc++.1.dylib (65.1) <C0CFF9FF-5D52-3EAE-B921-6AE1DA00A135> /usr/lib/libc++.1.dylib
0x994a2000 - 0x99745ffb  com.apple.CoreImage (8.2.2 - 1.0.1) <85BFFB09-D765-3F5F-AF65-FB136DDCAEF3> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x99746000 - 0x99772ff7  libsystem_info.dylib (406.17) <AA5611DB-A944-3072-B6BE-ACAB08689547> /usr/lib/system/libsystem_info.dylib
0x99773000 - 0x99a33fff  com.apple.security (7.0 - 55179.1) <CB470E48-621B-34D9-9E78-8B773358CB6B> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x99a34000 - 0x99a42fff  libxar.1.dylib (105) <343E4A3B-1D04-34A3-94C2-8C7C9A8F736B> /usr/lib/libxar.1.dylib
0x99a43000 - 0x99a43fff  com.apple.Accelerate (1.8 - Accelerate 1.8) <4EC0548E-3A3F-310D-A366-47B51D5B6398> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x99a5c000 - 0x99a9eff7  libauto.dylib (185.1) <B2B5B639-6778-352A-828D-FD8B64A3E8B3> /usr/lib/libauto.dylib
0x99ea1000 - 0x99f5efeb  libsystem_c.dylib (825.25) <B1F6916A-F558-38B5-A18C-D9733625FDC9> /usr/lib/system/libsystem_c.dylib
0x9a349000 - 0x9a666ff3  com.apple.Foundation (6.8 - 945.11) <03B242AC-519C-3683-AA52-E73536B3D55F> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9a667000 - 0x9a69cfff  libTrueTypeScaler.dylib (84.5) <2598F930-5E6B-37D7-B1E6-18181A972C6E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 149431
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=253.7M resident=103.9M(41%) swapped_out_or_unallocated=149.7M(59%)
Writable regions: Total=137.9M written=20.8M(15%) resident=37.3M(27%) swapped_out=6284K(4%) unallocated=100.7M(73%)
 
REGION TYPE                      VIRTUAL
===========                      =======
ATS (font support)                 32.9M
CG backing stores                  8176K
CG image                              4K
CG shared images                    160K
CoreServices                       6204K
MALLOC                             53.0M
MALLOC guard page                    48K
Memory tag=242                       12K
Memory tag=35                      7264K
Stack                              69.6M
VM_ALLOCATE                        27.9M
__DATA                             17.1M
__DATA/__OBJC                       200K
__IMAGE                             528K
__IMPORT                            620K
__LINKEDIT                         69.5M
__OBJC                             1532K
__PAGEZERO                            4K
__TEXT                            184.2M
__UNICODE                           544K
mapped file                       314.5M
shared memory                       308K
===========                      =======
TOTAL                             793.7M

Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel Core i5, 2.53 GHz, 8 GB, SMC 1.58f16
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333531533641465238432D47372020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333531533641465238432D47372020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.106.98.81.22)
Bluetooth: Version 4.0.9f33 10885, 2 service, 11 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: PLEXTOR PX-128M3P, 128.04 GB
Serial ATA Device: TOSHIBA MK5055GSXF, 500.11 GB
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfa100000 / 2
USB Device: HTC, 0x0bb4  (HTC Corporation), 0x0cd6, 0xfa140000 / 6
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 5
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8218, 0xfa113000 / 8
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0236, 0xfa120000 / 4
USB Device: Internal Memory Card Reader, apple_vendor_id, 0x8403, 0xfa130000 / 3
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfd100000 / 2
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd120000 / 4
USB Device: Built-in iSight, apple_vendor_id, 0x8507, 0xfd110000 / 3
Comment 1 Rob Snelders 2012-12-01 18:39:40 UTC
crashes also here. Tested with 3.6.0 and 4.0.0-Master (last commit: 28327c28ced32f181ed9b5c4921fd844e549980d)
Comment 2 Rob Snelders 2012-12-01 18:40:16 UTC
Created attachment 70889 [details]
document that crashes 1
Comment 3 Rob Snelders 2012-12-01 18:40:41 UTC
Created attachment 70890 [details]
document that crashes 2
Comment 4 Rainer Bielefeld Retired 2012-12-01 18:42:37 UTC
Still [Reproducible] with parallel installation of  "LOdev  4.0.0.0.alpha1   -  ENGLISH UI / German Locale  [Build ID: dec8fe)]"  {tinderbox: @6, pull time 2012-11-13 06:07:28} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch

Works fine with
- Server Installation of "LibreOffice 3.6.2.1 rc  German UI/ German Locale [Build-ID:  ba822cc] on German WIN7 Home Premium (64bit) 
- Server Installation of  "LibreOffice 3.6.0.1 rc  German UI/Locale [Build-ID: 73f9fb6] on German WIN7 Home Premium (64bit) 
- Server installation of "LibreOffice 3.5.7.2 rc German UI/Locale [Build-ID: 3215f89-f603614-ab984f2-7348103-1225a5b] on German WIN7 Home Premium (64bit) 
- Server Installation (own profile) of "LibreOffice 3.4.5 RC1  - WIN7 Home Premium (64bit) German UI [Build ID: OOO340m1 (Build:501)]"

So REGRESSION	

@clkao:
Any ideas concerning common characteristics of these 2 crashing documents?
Thank you for your Crash report, but please generally contribute such reports as text document attachments, what keeps the comments better readable.
Comment 5 Rainer Bielefeld Retired 2012-12-01 18:44:38 UTC
@Rob:
Strange that it still crashes for your with 3.6.0?!
Comment 6 Urmas 2012-12-03 06:52:30 UTC
Both don't crash for me with both 3.6.3 and 4.0.
Comment 7 Rainer Bielefeld Retired 2012-12-07 05:27:51 UTC
Still [Reproducible] with parallel installation of  "LOdev  4.0.0.0.alpha1+   -  ENGLISH UI / German Locale  [Build ID:d6579884752c298a18b7cdfcc7d1614b55c9c7c)]"  {tinderbox: Win-x86@6, pull time 2012-12-06 02:46:58} on German WIN7 Home Premium (64bit) with own separate User Profile 

Already [Reproducible] with "LibreOffice 3.6.4.3" German UI/ German Locale [Build-ID: 2ef5aff] {pull date 2012-11-28} on German WIN7 Home Premium (64bit) 

No crash with 3.6.0.4

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 8 clkao 2012-12-07 11:54:02 UTC
Created attachment 71123 [details]
document that crashes 3
Comment 9 clkao 2012-12-07 12:00:14 UTC
both attachment 1 and 2 now appear working fine with LOdev: Version 4.0.0.0.alpha1+ (Build ID: b75e9576bfaf9f95532f2a9d6917cffbf37a57e)

I've attached a 3rd document that hangs LOdev without crashing.

I have no ideas about the commonality for these files.  but they appears to be the only 3 files from the official Taiwanese Congress logs that are not working, out of a few thousand files.
Comment 10 Rainer Bielefeld Retired 2012-12-07 12:38:07 UTC
@clkao:
Please always additionally mention the pull time (you find it in the text file in the download folder) of your build, so that we can know from when your build is (this info will appear in about-dialog soon)
Comment 11 Michael Stahl (CIB) 2012-12-07 13:08:26 UTC
third document looks like an unrelated problem,
i have filed bug 57980 for it, please don't attach files for
different problems to the same bug.
Comment 12 Michael Stahl (CIB) 2012-12-07 13:13:46 UTC
here i can reproduce a crash in LO master, libreoffice-3-6, 3.5.7, 3.4.6,
as well as OOo 3.3, 3.2.1, 3.0.1, so it does not look like a regression
to me.
(OOo 3.0.1 crashes only on one of the 2 documents, but maybe that
is just luck)

the first and second documents seem to crash in very similar ways.

#0  SwPageFrm::RemoveDrawObjFromPage (this=0x0, _rToRemoveObj=...) at /libreoffice-3-6/sw/source/core/layout/flylay.cxx:904
#1  0x00007f16fb2aebf1 in lcl_RemoveObjsFromPage (_pFrm=_pFrm@entry=0x2283190) at /libreoffice-3-6/sw/source/core/layout/frmtool.cxx:2412
#2  0x00007f16fb2aed61 in SaveCntnt (pLay=0x27776d0, pStart=0x2280a30) at /libreoffice-3-6/sw/source/core/layout/frmtool.cxx:2470
#3  0x00007f16fb30e822 in lcl_MoveRowContent (rSourceLine=..., rDestLine=...) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:454
#4  0x00007f16fb312ccc in SwTabFrm::RemoveFollowFlowLine (this=this@entry=0x29ba020) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:899
#5  0x00007f16fb31a9cb in SwTabFrm::MakeAll (this=0x29ba020) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:2437
#6  0x00007f16fb2844da in SwFrm::PrepareMake (this=0x29ba020) at /libreoffice-3-6/sw/source/core/layout/calcmove.cxx:384
#7  0x00007f16fb2bef91 in Calc (this=0x29ba020) at /libreoffice-3-6/sw/source/core/inc/frame.hxx:1032
#8  FormatLayoutTab (bAddRect=1 '\001', pTab=0x29ba020, this=0x7fff2b58fe00) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1647
#9  SwLayAction::FormatLayoutTab (this=0x7fff2b58fe00, pTab=0x29ba020, bAddRect=1 '\001') at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1619
#10 0x00007f16fb2bfb06 in SwLayAction::FormatLayout (this=this@entry=0x7fff2b58fe00, pLay=pLay@entry=0x2981200, bAddRect=bAddRect@entry=1 '\001') at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1532
#11 0x00007f16fb2bf9cf in SwLayAction::FormatLayout (this=this@entry=0x7fff2b58fe00, pLay=0x22eba50, bAddRect=bAddRect@entry=1 '\001') at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1535
#12 0x00007f16fb2c1c68 in SwLayAction::InternalAction (this=this@entry=0x7fff2b58fe00) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:693
#13 0x00007f16fb2c27d0 in SwLayAction::Action (this=0x7fff2b58fe00) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:466
#14 0x00007f16fb5fd6f8 in ViewShell::CalcLayout (this=0x1f80eb0) at /libreoffice-3-6/sw/source/core/view/viewsh.cxx:1080


#0  SwPageFrm::RemoveDrawObjFromPage (this=0x0, _rToRemoveObj=...) at /libreoffice-3-6/sw/source/core/layout/flylay.cxx:904
#1  0x00007f1aaaeb3bf1 in lcl_RemoveObjsFromPage (_pFrm=_pFrm@entry=0x2cf2910) at /libreoffice-3-6/sw/source/core/layout/frmtool.cxx:2412
#2  0x00007f1aaaeb3d61 in SaveCntnt (pLay=0x30dfae0, pStart=0x2cf2490) at /libreoffice-3-6/sw/source/core/layout/frmtool.cxx:2470
#3  0x00007f1aaaf13822 in lcl_MoveRowContent (rSourceLine=..., rDestLine=...) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:454
#4  0x00007f1aaaf17ccc in SwTabFrm::RemoveFollowFlowLine (this=this@entry=0x30d6a90) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:899
#5  0x00007f1aaaf1f9cb in SwTabFrm::MakeAll (this=0x30d6a90) at /libreoffice-3-6/sw/source/core/layout/tabfrm.cxx:2437
#6  0x00007f1aaae894da in SwFrm::PrepareMake (this=0x30d6a90) at /libreoffice-3-6/sw/source/core/layout/calcmove.cxx:384
#7  0x00007f1aaae896eb in Calc (this=<optimized out>) at /libreoffice-3-6/sw/source/core/inc/frame.hxx:1032
#8  SwFrm::PrepareMake (this=0x2cf1550) at /libreoffice-3-6/sw/source/core/layout/calcmove.cxx:287
#9  0x00007f1aaae896eb in Calc (this=<optimized out>) at /libreoffice-3-6/sw/source/core/inc/frame.hxx:1032
#10 SwFrm::PrepareMake (this=0x2cf1640) at /libreoffice-3-6/sw/source/core/layout/calcmove.cxx:287
#11 0x00007f1aaae89843 in Calc (this=<optimized out>) at /libreoffice-3-6/sw/source/core/inc/frame.hxx:1032
#12 SwFrm::OptPrepareMake (this=0x2cf1840) at /libreoffice-3-6/sw/source/core/layout/calcmove.cxx:393
#13 0x00007f1aaaec5dbb in OptCalc (this=0x2cf1840) at /libreoffice-3-6/sw/source/core/inc/frame.hxx:1037
#14 SwLayAction::_FormatCntnt (this=this@entry=0x7fff81404380, pCntnt=pCntnt@entry=0x2cf1840, pPage=pPage@entry=0x29d91f0) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1986
#15 0x00007f1aaaec6093 in SwLayAction::FormatCntnt (this=this@entry=0x7fff81404380, pPage=0x29d91f0) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:1795
#16 0x00007f1aaaec6bf1 in SwLayAction::InternalAction (this=this@entry=0x7fff81404380) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:706
#17 0x00007f1aaaec77d0 in SwLayAction::Action (this=0x7fff81404380) at /libreoffice-3-6/sw/source/core/layout/layact.cxx:466
#18 0x00007f1aab2026f8 in ViewShell::CalcLayout (this=0x29d8a70) at /libreoffice-3-6/sw/source/core/view/viewsh.cxx:1080
#19 0x00007f1aaae0afc9 in SwEditShell::CalcLayout (this=0x29d8a70) at /libreoffice-3-6/sw/source/core/edit/edws.cxx:143
Comment 13 Michael Stahl (CIB) 2012-12-10 20:10:02 UTC
...so with 30 lines of debug printfs, a gdb python script to try to track down when a layout frame moves to another page that didn't actually work becuase Intel cpus have only 4 watchpoints, and a bit of luck i've finally tracked down the subtly wrong conditional that causes the crash.

1. the SwAnchoredObject is anchored AT_CHARACTER and is initially inserted on a page.

 Old value = (void *) 0x0
 New value = (void *) 0x4d27c30
 SwFrm::InsertBehind (this=0x4d29160, pParent=0x4d27c30, pBefore=0x4d32e00) at wsfrm.cxx:613
 LayoutTrackPage.handler: ((SwTxtFrm *) 0x4d814f0)->pUpper->pUpper->pUpper->pUpper
 ### PageFrm changed: old 0x0 new: 0x4d27b10
 #0  SwFrm::InsertBehind (this=0x4d29160, pParent=0x4d27c30, pBefore=0x4d32e00) at wsfrm.cxx:613
 #1  0x00007fffcff3a125 in SwLayHelper::CheckInsert (this=0x48f75a0, nNodeIndex=678) at laycache.cxx:797
 #2  0x00007fffcff14173 in _InsertCnt (pLay=0x4d27c30, pDoc=0x455e960, nIndex=677, bPages=1 '\001', nEndIndex=0, pPrv=0x4d32e00)

2. the anchor paragraph is moved to different pages as the table is moved or split, but the mpPageFrm in the SwAnchoredObject is not updated.

3. then the page at which the SwAnchoredObject is registered is deleted, setting the mpPageFrm to 0:

 debug: **** SwPageFrm dtor 0x4a886a0
 debug: *** SwAnchoredObject SetPageFrm 0x4a886a0 old: 0x4de9120 new: 0 af: 0x4d814f0

4. then the table is split, which is first attempted with splitting the last row; this fails and the split attempt is undone, including restoring of all drawing objects to their previous page; here the crash happens because of the 0 SwPageFrm mpPageFrm pointer:

 debug: lcl_RemoveObjsFromPage pObj ISA SwAnchoredDrawObject 0x4a886a0
 debug:   pObj->PageFrm 0 AnchorPageFrm 0xca4e140 AnchorFrm 0x4d814f0 id 1547
 Program received signal SIGSEGV, Segmentation fault.
 in SwPageFrm::RemoveDrawObjFromPage (this=0x0, _rToRemoveObj=...) at flylay.cxx:903

what is missing is that the drawing object needs to be updated via its SetPageFrm method whenever it moves around.

probably getting the "right" document content to crash in this way is somewhat rare...
Comment 14 Not Assigned 2012-12-10 20:15:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c479ccc438edeb7197a2d05bdb99067365d7bac0

fdo#57780: sw: lcl_ArrangeLowers: register drawing ...



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Not Assigned 2012-12-10 20:22:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37fdcc35941283d01e44ec2d04742ab2652e9d5f&g=libreoffice-4-0

fdo#57780: sw: lcl_ArrangeLowers: register drawing ...


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Not Assigned 2012-12-10 23:34:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ca23f2674d1c46ad8629f657a0c9a67a5551679&g=libreoffice-3-6

fdo#57780: sw: lcl_ArrangeLowers: register drawing ...


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.